package com.libreecm.commonAPI.model.objects;

import java.util.ArrayList;
import java.util.List;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.libreecm.commonAPI.model.CmisExtensionElement;

@JsonSerialize(include = JsonSerialize.Inclusion.NON_NULL)
public class ExtensionDataImpl extends ExtensionsData {

	//@JsonDeserialize(using = com.libreecm.commonAPI.auxiliars.JsonCmisExtensionElementListDeserializer.class)
	private List<CmisExtensionElement> extensions=new ArrayList<>();
	
	/**
	 * @return the extensions
	 */
	public List<CmisExtensionElement> getExtensions(){
		return extensions;
	}
	/**
	 * @param extensions the extensions to set
	 */
	public void setExtensions(List<CmisExtensionElement> extensions) {
		this.extensions = extensions;
	}

	public ExtensionDataImpl(){
		
	}
}
